# Uses of Class
javax.swing.event.PopupMenuEvent

Packages that use PopupMenuEvent
Package
Description
javax.swing.event
Provides for events fired by Swing components.

## Uses of PopupMenuEvent in javax.swing.event

Methods in javax.swing.event with parameters of type PopupMenuEvent
Modifier and Type
Method
Description
`void`
PopupMenuListener.`popupMenuCanceled(PopupMenuEvent e)`
This method is called when the popup menu is canceled
`void`
PopupMenuListener.`popupMenuWillBecomeInvisible(PopupMenuEvent e)`
This method is called before the popup menu becomes invisible Note that a JPopupMenu can become invisible any time
`void`
PopupMenuListener.`popupMenuWillBecomeVisible(PopupMenuEvent e)`
This method is called before the popup menu becomes visible